# Disciplines
Date: 2013-12-08

modele

## Class Disciplines

- java.lang.Object
- - modele.Disciplines

    public class Disciplines
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Disciplines()`

### Method Summary

Methods
`java.lang.String` `getDiscipline(int pIdEntrainement)` permet d'obtenir la discipline pour un entrainement donnée
`void` `setDiscipline(int pIdEntrainement, java.lang.String pNomDiscipline)` permet de saisir une discipline pour un entrainement donné

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Disciplines

    public Disciplines()

### Method Detail

#### setDiscipline

    public void setDiscipline(int pIdEntrainement,
                     java.lang.String pNomDiscipline)
                       throws java.lang.InstantiationException,
                              java.lang.IllegalAccessException,
                              java.lang.ClassNotFoundException,
                              java.sql.SQLException

permet de saisir une discipline pour un entrainement donné

Parameters:
  `pIdEntrainement` -
  `pNomDiscipline` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getDiscipline

    public java.lang.String getDiscipline(int pIdEntrainement)
                                   throws java.lang.InstantiationException,
                                          java.lang.IllegalAccessException,
                                          java.lang.ClassNotFoundException,
                                          java.sql.SQLException

permet d'obtenir la discipline pour un entrainement donnée

Parameters:
  `pIdEntrainement` -
Returns:
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`